
set( toyExperiment_VERSION 0.00.20 )
set( toyExperiment_UPS_VERSION v0_00_20 )


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was product-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################


## find_ups_product directives
## remember that these are minimum required versions
  find_ups_product( art v1_09_03 )
  find_ups_product( cppunit v1_12_1 )
  find_ups_product( gccxml v0_9 )
  find_ups_product( clhep v2_1_2_2 )
  find_ups_product( fhiclcpp v2_19_00 )
  find_ups_product( cetlib v1_03_02 )
  find_ups_product( cpp0x v1_03_02 )
  find_ups_boost( v1_50_0 )
  find_ups_product( messagefacility v1_10_00 )
  find_ups_product( sqlite v3_07_08_00 )
  find_ups_root( v5_34_00 )
  find_ups_product( tbb v4_1 )


## find_library directives
    if( NOT CETLIB )
      cet_find_library( CETLIB NAMES cetlib PATHS ENV CETLIB_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT FHICLCPP )
      cet_find_library( FHICLCPP NAMES fhiclcpp PATHS ENV FHICLCPP_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT MF_EXTMODULES )
      cet_find_library( MF_EXTMODULES NAMES MF_ExtModules PATHS ENV MESSAGEFACILITY_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT MF_MESSAGELOGGER )
      cet_find_library( MF_MESSAGELOGGER NAMES MF_MessageLogger PATHS ENV MESSAGEFACILITY_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT MF_UTILITIES )
      cet_find_library( MF_UTILITIES NAMES MF_Utilities PATHS ENV MESSAGEFACILITY_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT CLHEP )
      cet_find_library( CLHEP NAMES CLHEP PATHS ENV CLHEP_LIB_DIR NO_DEFAULT_PATH )
    endif()
    if( NOT CPPUNIT )
      cet_find_library( CPPUNIT NAMES cppunit PATHS ENV CPPUNIT_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT SQLITE3 )
      cet_find_library( SQLITE3 NAMES sqlite3_ups PATHS ENV SQLITE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_VERSION )
      cet_find_library( ART_VERSION NAMES art_Version PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_UTILITIES )
      cet_find_library( ART_UTILITIES NAMES art_Utilities PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_ART )
      cet_find_library( ART_FRAMEWORK_ART NAMES art_Framework_Art PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_CORE )
      cet_find_library( ART_FRAMEWORK_CORE NAMES art_Framework_Core PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_EVENTPROCESSOR )
      cet_find_library( ART_FRAMEWORK_EVENTPROCESSOR NAMES art_Framework_EventProcessor PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_IO )
      cet_find_library( ART_FRAMEWORK_IO NAMES art_Framework_IO PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_IO_CATALOG )
      cet_find_library( ART_FRAMEWORK_IO_CATALOG NAMES art_Framework_IO_Catalog PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_IO_PRODUCTMIX )
      cet_find_library( ART_FRAMEWORK_IO_PRODUCTMIX NAMES art_Framework_IO_ProductMix PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_IO_PRODUCTMIX_DICT )
      cet_find_library( ART_FRAMEWORK_IO_PRODUCTMIX_DICT NAMES art_Framework_IO_ProductMix_dict PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_IO_ROOTVERSION )
      cet_find_library( ART_FRAMEWORK_IO_ROOTVERSION NAMES art_Framework_IO_RootVersion PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_IO_ROOT )
      cet_find_library( ART_FRAMEWORK_IO_ROOT NAMES art_Framework_IO_Root PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_IO_ROOT_ROOTINPUT_SOURCE )
      cet_find_library( ART_FRAMEWORK_IO_ROOT_ROOTINPUT_SOURCE NAMES art_Framework_IO_Root_RootInput_source PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_IO_ROOT_ROOTOUTPUT_MODULE )
      cet_find_library( ART_FRAMEWORK_IO_ROOT_ROOTOUTPUT_MODULE NAMES art_Framework_IO_Root_RootOutput_module PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_IO_SOURCES )
      cet_find_library( ART_FRAMEWORK_IO_SOURCES NAMES art_Framework_IO_Sources PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_MODULES_BLOCKINGPRESCALER_MODULE )
      cet_find_library( ART_FRAMEWORK_MODULES_BLOCKINGPRESCALER_MODULE NAMES art_Framework_Modules_BlockingPrescaler_module PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_MODULES_EMPTYEVENT_SOURCE )
      cet_find_library( ART_FRAMEWORK_MODULES_EMPTYEVENT_SOURCE NAMES art_Framework_Modules_EmptyEvent_source PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_MODULES_FILEDUMPEROUTPUT_MODULE )
      cet_find_library( ART_FRAMEWORK_MODULES_FILEDUMPEROUTPUT_MODULE NAMES art_Framework_Modules_FileDumperOutput_module PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_MODULES_PRESCALER_MODULE )
      cet_find_library( ART_FRAMEWORK_MODULES_PRESCALER_MODULE NAMES art_Framework_Modules_Prescaler_module PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_MODULES_PROVENANCECHECKEROUTPUT_MODULE )
      cet_find_library( ART_FRAMEWORK_MODULES_PROVENANCECHECKEROUTPUT_MODULE NAMES art_Framework_Modules_ProvenanceCheckerOutput_module PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_MODULES_RANDOMNUMBERSAVER_MODULE )
      cet_find_library( ART_FRAMEWORK_MODULES_RANDOMNUMBERSAVER_MODULE NAMES art_Framework_Modules_RandomNumberSaver_module PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_MODULES_DICT )
      cet_find_library( ART_FRAMEWORK_MODULES_DICT NAMES art_Framework_Modules_dict PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_PRINCIPAL )
      cet_find_library( ART_FRAMEWORK_PRINCIPAL NAMES art_Framework_Principal PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_FILESERVICEINTERFACES )
      cet_find_library( ART_FRAMEWORK_SERVICES_FILESERVICEINTERFACES NAMES art_Framework_Services_FileServiceInterfaces PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_OPTIONAL )
      cet_find_library( ART_FRAMEWORK_SERVICES_OPTIONAL NAMES art_Framework_Services_Optional PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_OPTIONAL_RANDOMNUMBERGENERATOR_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_OPTIONAL_RANDOMNUMBERGENERATOR_SERVICE NAMES art_Framework_Services_Optional_RandomNumberGenerator_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_OPTIONAL_SIMPLEINTERACTION_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_OPTIONAL_SIMPLEINTERACTION_SERVICE NAMES art_Framework_Services_Optional_SimpleInteraction_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_OPTIONAL_SIMPLEMEMORYCHECK_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_OPTIONAL_SIMPLEMEMORYCHECK_SERVICE NAMES art_Framework_Services_Optional_SimpleMemoryCheck_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_OPTIONAL_TFILESERVICE_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_OPTIONAL_TFILESERVICE_SERVICE NAMES art_Framework_Services_Optional_TFileService_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_OPTIONAL_TIMING_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_OPTIONAL_TIMING_SERVICE NAMES art_Framework_Services_Optional_Timing_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_OPTIONAL_TRACER_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_OPTIONAL_TRACER_SERVICE NAMES art_Framework_Services_Optional_Tracer_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_OPTIONAL_TRIVIALFILEDELIVERY_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_OPTIONAL_TRIVIALFILEDELIVERY_SERVICE NAMES art_Framework_Services_Optional_TrivialFileDelivery_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_OPTIONAL_TRIVIALFILETRANSFER_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_OPTIONAL_TRIVIALFILETRANSFER_SERVICE NAMES art_Framework_Services_Optional_TrivialFileTransfer_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_REGISTRY )
      cet_find_library( ART_FRAMEWORK_SERVICES_REGISTRY NAMES art_Framework_Services_Registry PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_SYSTEM_CURRENTMODULE_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_SYSTEM_CURRENTMODULE_SERVICE NAMES art_Framework_Services_System_CurrentModule_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_SYSTEM_FILECATALOGMETADATA_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_SYSTEM_FILECATALOGMETADATA_SERVICE NAMES art_Framework_Services_System_FileCatalogMetadata_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_SYSTEM_FLOATINGPOINTCONTROL_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_SYSTEM_FLOATINGPOINTCONTROL_SERVICE NAMES art_Framework_Services_System_FloatingPointControl_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_SYSTEM_PATHSELECTION_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_SYSTEM_PATHSELECTION_SERVICE NAMES art_Framework_Services_System_PathSelection_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_SYSTEM_SCHEDULECONTEXT_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_SYSTEM_SCHEDULECONTEXT_SERVICE NAMES art_Framework_Services_System_ScheduleContext_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_SYSTEM_TRIGGERNAMESSERVICE_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_SYSTEM_TRIGGERNAMESSERVICE_SERVICE NAMES art_Framework_Services_System_TriggerNamesService_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_USERINTERACTION )
      cet_find_library( ART_FRAMEWORK_SERVICES_USERINTERACTION NAMES art_Framework_Services_UserInteraction PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_PERSISTENCY_CLHEPDICTIONARIES_DICT )
      cet_find_library( ART_PERSISTENCY_CLHEPDICTIONARIES_DICT NAMES art_Persistency_CLHEPDictionaries_dict PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_PERSISTENCY_COMMON )
      cet_find_library( ART_PERSISTENCY_COMMON NAMES art_Persistency_Common PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_PERSISTENCY_COMMON_DICT )
      cet_find_library( ART_PERSISTENCY_COMMON_DICT NAMES art_Persistency_Common_dict PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_PERSISTENCY_PROVENANCE )
      cet_find_library( ART_PERSISTENCY_PROVENANCE NAMES art_Persistency_Provenance PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_PERSISTENCY_PROVENANCE_DICT )
      cet_find_library( ART_PERSISTENCY_PROVENANCE_DICT NAMES art_Persistency_Provenance_dict PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_PERSISTENCY_ROOTDB )
      cet_find_library( ART_PERSISTENCY_ROOTDB NAMES art_Persistency_RootDB PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_PERSISTENCY_STDDICTIONARIES_DICT )
      cet_find_library( ART_PERSISTENCY_STDDICTIONARIES_DICT NAMES art_Persistency_StdDictionaries_dict PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_PERSISTENCY_WRAPPEDSTDDICTIONARIES_DICT )
      cet_find_library( ART_PERSISTENCY_WRAPPEDSTDDICTIONARIES_DICT NAMES art_Persistency_WrappedStdDictionaries_dict PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_PERSISTENCY_CETLIBDICTIONARIES_DICT )
      cet_find_library( ART_PERSISTENCY_CETLIBDICTIONARIES_DICT NAMES art_Persistency_CetlibDictionaries_dict PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_PERSISTENCY_FHICLCPPDICTIONARIES_DICT )
      cet_find_library( ART_PERSISTENCY_FHICLCPPDICTIONARIES_DICT NAMES art_Persistency_FhiclCppDictionaries_dict PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT TEST_INTEGRATION_EVENT-SHAPE_DICT )
      cet_find_library( TEST_INTEGRATION_EVENT-SHAPE_DICT NAMES test_Integration_event-shape_dict PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT TEST_INTEGRATION_HIGH-MEMORY_DICT )
      cet_find_library( TEST_INTEGRATION_HIGH-MEMORY_DICT NAMES test_Integration_high-memory_dict PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    cet_find_library( TOYEXPERIMENT_UTILITIES NAMES toyExperiment_Utilities PATHS ENV TOYEXPERIMENT_LIB NO_DEFAULT_PATH )
    cet_find_library( TOYEXPERIMENT_RECODATAPRODUCTS NAMES toyExperiment_RecoDataProducts PATHS ENV TOYEXPERIMENT_LIB NO_DEFAULT_PATH )
    cet_find_library( TOYEXPERIMENT_RECODATAPRODUCTS_DICT NAMES toyExperiment_RecoDataProducts_dict PATHS ENV TOYEXPERIMENT_LIB NO_DEFAULT_PATH )
    cet_find_library( TOYEXPERIMENT_MCDATAPRODUCTS NAMES toyExperiment_MCDataProducts PATHS ENV TOYEXPERIMENT_LIB NO_DEFAULT_PATH )
    cet_find_library( TOYEXPERIMENT_MCDATAPRODUCTS_DICT NAMES toyExperiment_MCDataProducts_dict PATHS ENV TOYEXPERIMENT_LIB NO_DEFAULT_PATH )
    cet_find_library( TOYEXPERIMENT_RECONSTRUCTION NAMES toyExperiment_Reconstruction PATHS ENV TOYEXPERIMENT_LIB NO_DEFAULT_PATH )
    cet_find_library( TOYEXPERIMENT_RECONSTRUCTION_FINDANDFITHELIX_MODULE NAMES toyExperiment_Reconstruction_FindAndFitHelix_module PATHS ENV TOYEXPERIMENT_LIB NO_DEFAULT_PATH )
    cet_find_library( TOYEXPERIMENT_SIMULATIONS_EVENTGENERATOR_MODULE NAMES toyExperiment_Simulations_EventGenerator_module PATHS ENV TOYEXPERIMENT_LIB NO_DEFAULT_PATH )
    cet_find_library( TOYEXPERIMENT_SIMULATIONS_DETECTORSIMULATION_MODULE NAMES toyExperiment_Simulations_DetectorSimulation_module PATHS ENV TOYEXPERIMENT_LIB NO_DEFAULT_PATH )
    cet_find_library( TOYEXPERIMENT_SIMULATIONS_HITMAKER_MODULE NAMES toyExperiment_Simulations_HitMaker_module PATHS ENV TOYEXPERIMENT_LIB NO_DEFAULT_PATH )
    cet_find_library( TOYEXPERIMENT_ANALYZERS NAMES toyExperiment_Analyzers PATHS ENV TOYEXPERIMENT_LIB NO_DEFAULT_PATH )
    cet_find_library( TOYEXPERIMENT_ANALYZERS_HELLOWORLD_MODULE NAMES toyExperiment_Analyzers_HelloWorld_module PATHS ENV TOYEXPERIMENT_LIB NO_DEFAULT_PATH )
    cet_find_library( TOYEXPERIMENT_ANALYZERS_INSPECTGENPARTICLES_MODULE NAMES toyExperiment_Analyzers_InspectGenParticles_module PATHS ENV TOYEXPERIMENT_LIB NO_DEFAULT_PATH )
    cet_find_library( TOYEXPERIMENT_ANALYZERS_INSPECTINTERSECTIONS_MODULE NAMES toyExperiment_Analyzers_InspectIntersections_module PATHS ENV TOYEXPERIMENT_LIB NO_DEFAULT_PATH )
    cet_find_library( TOYEXPERIMENT_ANALYZERS_INSPECTTRKHITS_MODULE NAMES toyExperiment_Analyzers_InspectTrkHits_module PATHS ENV TOYEXPERIMENT_LIB NO_DEFAULT_PATH )
    cet_find_library( TOYEXPERIMENT_ANALYZERS_INSPECTFITTEDHELIX_MODULE NAMES toyExperiment_Analyzers_InspectFittedHelix_module PATHS ENV TOYEXPERIMENT_LIB NO_DEFAULT_PATH )
    cet_find_library( TOYEXPERIMENT_ANALYZERS_MASSPLOT_MODULE NAMES toyExperiment_Analyzers_MassPlot_module PATHS ENV TOYEXPERIMENT_LIB NO_DEFAULT_PATH )
    cet_find_library( TOYEXPERIMENT_ANALYZERS_EVENTDISPLAY_MODULE NAMES toyExperiment_Analyzers_EventDisplay_module PATHS ENV TOYEXPERIMENT_LIB NO_DEFAULT_PATH )
    cet_find_library( TOYEXPERIMENT_DATAPRODUCTS_DICT NAMES toyExperiment_DataProducts_dict PATHS ENV TOYEXPERIMENT_LIB NO_DEFAULT_PATH )
    cet_find_library( TOYEXPERIMENT_PDT NAMES toyExperiment_PDT PATHS ENV TOYEXPERIMENT_LIB NO_DEFAULT_PATH )
    cet_find_library( TOYEXPERIMENT_PDT_PDT_SERVICE NAMES toyExperiment_PDT_PDT_service PATHS ENV TOYEXPERIMENT_LIB NO_DEFAULT_PATH )
    cet_find_library( TOYEXPERIMENT_CONDITIONS NAMES toyExperiment_Conditions PATHS ENV TOYEXPERIMENT_LIB NO_DEFAULT_PATH )
    cet_find_library( TOYEXPERIMENT_CONDITIONS_CONDITIONS_SERVICE NAMES toyExperiment_Conditions_Conditions_service PATHS ENV TOYEXPERIMENT_LIB NO_DEFAULT_PATH )
    cet_find_library( TOYEXPERIMENT_GEOMETRY NAMES toyExperiment_Geometry PATHS ENV TOYEXPERIMENT_LIB NO_DEFAULT_PATH )
    cet_find_library( TOYEXPERIMENT_GEOMETRY_GEOMETRY_SERVICE NAMES toyExperiment_Geometry_Geometry_service PATHS ENV TOYEXPERIMENT_LIB NO_DEFAULT_PATH )

check_required_components(toyExperiment)

